{% extends "application.html" %}

{% block style %}
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <link href="{{ url_for('static', filename='css/bootstrap-datetimepicker.min.css') }}" rel="stylesheet">
    <link href="{{ url_for('static', filename='css/bootstrap-datetimepicker-standalone.min.css') }}" rel="stylesheet">

{% endblock %}

{% block content %}
    <div class="container-fluid">

        <div class="row d-flex justify-content-between">
            <h1 class="h3 mb-2 text-gray-800">Thông tin cá nhân</h1>
        </div>
        <div class="col-md-12">
            <div class="card shadow mb-4">
                <div class="card-body">

                    <form accept-charset="UTF-8" role="form" action="{{ url_for('Profile.edit') }}" method="POST">

                        <fieldset>
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-5">
                                        <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
                                        <div class="row d-flex justify-content-center">
                                            {% if user.image_id==None %}
                                                <img id="blah" src="{{ url_for('static', filename='img/no_img.png') }}"
                                                     alt=""
                                                     style="max-height: 300px; max-width: 300px;"
                                                     class="rounded img-fluid">
                                            {% else %}
                                                <img id="blah"
                                                     src="{{ url_for('Upload.download_image', id=user.image.id) }}"
                                                     alt=""
                                                     style="max-height: 300px; max-width: 300px;"
                                                     class="rounded img-fluid">
                                            {% endif %}
                                        </div>
                                        <div class="row d-flex justify-content-center">
                                            <label for="imgInp" style="cursor: pointer; color: #0000FF;">Chọn
                                                ảnh</label>
                                            <input type='file' id="imgInp" hidden/>
                                        </div>

                                    </div>
                                    <div class="col-md-7">
                                        <input class="form-control" hidden name="id" type="text"
                                               value="{{ user.id if user else '' }}">
                                        <input type="text" hidden id="user-image" name="image_id"
                                               value="{{ user.image_id if user else '' }}">
                                        <div class="form-group">
                                            {{ form.email.label }}
                                            {{ form.email(class="form-control", value=user.email if user else '') }}
                                        </div>
                                        <div class="form-group">
                                            {{ form.name.label }}
                                            {{ form.name(class="form-control", value=user.name if user else '') }}
                                        </div>
                                        <div class="form-group">
                                            {{ form.age.label }}
                                            {{ form.age(class="form-control", value=user.age if user else '') }}
                                        </div>
                                         <div class="form-group">
                                            {{ form.gender_select.label }}
                                            {{ form.gender_select(class="form-control", value=user.gender if user else '') }}
                                        </div>

                                        <div class="form-group">
                                            {{ form.password.label }}
                                            {{ form.password(class="form-control", value=user.password if user else '') }}
                                        </div>
                                        <div class="form-group">
                                            {{ form.confirm.label }}
                                            {{ form.confirm(class="form-control", value=user.password if user else '') }}
                                            <span id='message'></span>
                                        </div>
                                        <div class="form-group">
                                            {{ form.address.label }}
                                            {{ form.address(class="form-control", value=user.address if user else '') }}
                                        </div>
                                        <div class="form-group">
                                            {{ form.id_card.label }}
                                            {{ form.id_card(class="form-control", value=user.id_card if user else '') }}
                                        </div>
                                        <div class="form-group">
                                            {{ form.phone_number.label }}
                                            {{ form.phone_number(class="form-control", value=user.phone_number if user
                                        else '') }}
                                        </div>
                                    </div>
                                </div>
                                <div class="row d-flex justify-content-center">
                                    <div class="form-group d-flex justify-content-center">
                                        <input class="btn btn-primary btn-block" type="submit" value="Cập nhật">
                                    </div>
                                </div>
                            </div>
                        </fieldset>
                        {% if is_create %}
                            </form>
                        {% endif %}
                    {% if not is_create %}
                        </form>
                    {% endif %}
                </div>
            </div>
        </div>
    </div>

{% endblock %}
{% block script %}
    <script src="{{ url_for('static', filename='js/bootstrap-datetimepicker.min.js') }}"></script>

    <script>

        $(document).ready(function () {
            var csrftoken = $('meta[name=csrf-token]').attr('content');

            $.ajaxSetup({
                beforeSend: function (xhr, settings) {
                    if (!/^(GET|HEAD|OPTIONS|TRACE)$/i.test(settings.type) && !this.crossDomain) {
                        xhr.setRequestHeader("X-CSRFToken", csrftoken)
                    }
                }
            });

            $('#datepicker').datetimepicker({
                locale: 'vn',
                // format: "DD/MM/YYYY HH:mm A"
                format: "YYYY-MM-DD" + "T" + "HH:mm:ss"
            });

            $('#datepicker1').datetimepicker({
                locale: 'vn',
                format: "YYYY-MM-DD" + "T" + "HH:mm:ss"


            });


            function readURL(input) {
                if (input.files && input.files[0]) {
                    let reader = new FileReader();

                    reader.onload = function (e) {
                        $('#blah').attr('src', e.target.result);
                    };

                    reader.readAsDataURL(input.files[0]);

                    let formData = new FormData();
                    formData.append("file", input.files[0]);

                    $.ajax({
                        url: '/upload/image',
                        method: 'post',
                        data: formData,
                        contentType: false,
                        credentials: 'include',
                        processData: false
                    }).done(function (result) {
                        console.log(result);
                        $("#user-image").val(result.data.id);
                    });

                }
            }

            $("#imgInp").change(function () {
                readURL(this);
            });
        });
    </script>
{% endblock %}